
ChiliProject - Feature # 752: Show full project name in issue views

Status: Open Priority: Normal
Author: Marek Kralewski Category:
Created: 2011-12-02 Assignee:
Updated: 2011-12-13 Due date:
Remote issue URL:
Affected version:
Description: The "Project" title in views (issues or time_entries) does not include the parent project(s). Therefore it is very 

difficult to distinguish subprojects with the same name.

I would like to see something like that:

<pre>
FirstProject -> SubProject
SecondProject -> Subproject
</pre>

And I don't know if it is a bug or a feature?

History
2011-12-12 08:13 pm - Eric Davis
- Subject changed from Only partial "Project" column in ticket views to Show full project name in issue views

- Tracker changed from Bug to Feature

Only problem I see with this is if you have deeply nested projects, then the column would get too wide.

Myself, I like how it is now where just the actual project name is listed (i.e. not listing parent projects).

2011-12-12 08:30 pm - Marek Kralewski
Am Montag, den 12.12.2011, 20:13 +0000 schrieb project@chiliproject.org:

> Only problem I see with this is if you have deeply nested projects,
> then the column would get too wide.

That's a point.

> Myself, I like how it is now where just the actual project name is
> listed (i.e. not listing parent projects).

How about making it configurable, i.e. having a "Parents" column in the
select box?
That way it would not oppose your preferences.

2011-12-13 07:56 pm - Eric Davis
Marek Kralewski wrote:
> How about making it configurable, i.e. having a "Parents" column in the
> select box?
> That way it would not oppose your preferences.

I'm really hesitant to add more configuration. There are dozens of configuration panels already with options that confuse even me. :(
In reality, I think a plugin could be created to add the full project name to the issues list. Probably < 30 lines of code for it all since we have all the APIs 
there already.
